/* ===============================
     Reset, configura navegadores
=================================*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ===============================
     Base: html e body
=================================*/
    html {
        scroll-behavior: smooth;
        overflow-x: hidden;     
        scrollbar-width: none;
    } 
    body {
        background: linear-gradient(180deg, #083e77, #0a3f6b, #081d36);
        background-size: contain; 
        background-position: center;
        margin: 0;
        font-family: Arial, sans-serif;
        color: #333;
        display: flex;
        flex-direction: column;
        padding: 0px;
        -ms-overflow-style: none;
        scrollbar-width: none;
        max-width: 100vw;
        overflow-x: hidden;
        overflow-y: auto;
        position: relative;
        z-index: 1;
    }
    body::-webkit-scrollbar {
        width: 0;
        background: transparent;
    }
/* ===============================
     header
=================================*/ 
    header {
        position: fixed; 
        top: 0;
        left: 0;
        width: 100%;
        padding: 10px 20px;
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 20px;
        border-bottom: 1px solid #ddd;
        z-index: 1000;
        transition: background-color 0.2s ease;
        border: none;
    }
    header a {
        text-decoration: none;
        color: white; 
        font-size: 15px;
        transition: color 0.3s;
        font-family: "Lora", serif;
    }
    header a:hover {
        color: #3082a1;
    }
    header.transparent {
        background-color: transparent;
        color: white;
    }
    header.solid {
        background-color: black;
        color: #fff; 
    }
/* ===============================
     Menu mobile
=================================*/
    .menu-btn {
        display: none;
        flex-direction: column;
        gap: 5px;
        cursor: pointer;
        transition: transform 0.3s ease;
    }
    .menu-btn div {
        width: 25px;
        height: 3px;
        background-color: white;
        transition: all 0.3s ease;
    }
    /* Animação para virar X */
    .menu-btn.active div:nth-child(1) {
        transform: rotate(45deg) translate(5px, 5px);
    }
    .menu-btn.active div:nth-child(2) {
        opacity: 0;
    }
    .menu-btn.active div:nth-child(3) {
        transform: rotate(-45deg) translate(6px, -6px);
    }

/* ===============================
     Nav / Overlay
=================================*/
    nav {
        display: flex;
        gap: 20px;
    }
    .overlay {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        background: rgba(0,0,0,0.5);
        z-index: 1050;
    }
    .overlay.show { display: block; }

/* ===============================
     Main e seções
=================================*/
    main {
        flex: 1;
        padding: 10px;
    }
    /* faixa branca  padrão */
    .faixa-branca {
        background-color: rgba(255, 255, 255, 0.78);
        backdrop-filter: blur(6px);
        max-width: 1250px;
        box-shadow: 0 2px 10px rgba(0,0,0,0.1);
        border-radius: 12px;
        padding: 300px 50px 20px;
        margin: 60px 50px 50px;
        padding-top: 50px;
    }
 
/* ===============================
     Tipografia
=================================*/ 
    .titulos {
        color: black;
        text-shadow: 1.5px 1.5px 6px rgba(0, 0, 150, 0.7);
        font-family: "Orbitron", sans-serif;
        letter-spacing: 1px;
    }
    .titulo-nucleo {
        display: flex;
        align-items: center;
        gap: 8px;

    }
    body[data-page="materiais"] .titulo-nucleo {
        height: 50px;
        gap: 15px;
    }
    .titulo-nucleo img {
        width: 35px;
        height: 35px;
        transform: translateY(-10px);
    }
    .texto {
        flex: 1 1 60%;
    }
    .texto-left {
        text-align: left;
    }
    p {
        margin: 15px 0;
        line-height: 1.2;
    }
    h1, h2, h3 {
        margin-bottom: 20px;
    }
    .texto-colunas {
        position: absolute;
        bottom: 18px;
        left: 18px;
        right: 18px;
        color: white;
        font-weight: 600;
        font-size: 17px;
        font-family: "Space Grotesk", sans-serif;
        z-index: 2;
        line-height: 1.3;
    }
/* ===============================
     Banners
=================================*/
    #banner {
        
        height: 400px;
        display: flex;
        justify-content: center;
        align-items: center;
        color: white;
        text-align: center;
        background-color: #081d36;
        background-repeat: no-repeat;
        background-position: center;
        background-size: 1400px auto;
        position: relative;
        background-image: url('/imagens/banner2.png');
    }

    #banner::after {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0,0,0,0.15);
    }
    .banner-2 {
            background-color: #083e77;
            background-size: contain;
            background-position: center;
            background-repeat: inherit;
            height: 200px;
            display: flex;         
            justify-content: center;
            align-items: center;
            color: white;
            text-align: center;
            border-radius: 10px;
        }
    .banner-2 img {
        background-color: #3082a1;
        background-size: contain;
        background-position: center;
        background-repeat: inherit;
        height: 200px;
        display: flex;         
        justify-content: center;
        align-items: center;
        color: white;
        text-align: center;
        border-radius: 25px;
    }
/* ===============================
     Botões 
=================================*/
    .botao{
        text-align: center;
        display: inline-block;
        background-color: #3082a1;
        color: white;
        padding: 10px 15px;
        border-radius: 5px;
        text-decoration: none;
        transition: 0.3s;
    }
    .botao:hover, .link:hover {
        background-color: #083e77;
        transform: scale(1.03);
    }
    .botoes {
        flex: 1 1 35%;
        display: flex;
        flex-direction: column;
        gap: 10px;
        justify-content: center;
        }
    .link {
        display: inline-block;
        background-color: #3082a1;
        color: white;
        padding: 10px 15px;
        border-radius: 5px;
        text-decoration: none;
        transition: 0.3s;
        text-align: left;
    }
    .links {
        display: flex;
        flex-direction: column;
        gap: 8px;
        align-items: flex-start;
        width: fit-content;
        max-width: 100%;
    }
    body[data-page="materiais"] .link {
            display: block;
            width: 480px;
            max-width: 100%;
    }
    .botao-svg {
        display: flex;
        align-items: center;
        gap: 10px; /* espaço entre imagem e botão */
        margin-top: 15px;
    }
    body[data-page="resultados"] .botao-svg {
        transform: translateY(-15px) translateX(30px);
    }
    
/* ===============================
     Customizações específicas
=================================*/
    
    .conteudo-colunas {
        display: flex;
        justify-content: space-between; 
        align-items: stretch;
        gap: 20px;
        flex-wrap: wrap;
    }

/* ===============================
     Footer
=================================*/
    footer {
        background-color: black;
        color: white;
        padding: 15px 20px;
        text-align: center;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 1000;
    }
    footer a {
        color: #ddd;
        margin: 0 10px;
        text-decoration: none;
    }
    footer a:hover {
        color: #fff;
    }
    .container-footer {
        display: flex; 
        align-items: center;
        gap: 25px;          /* Espaco entre as colunas */
        max-width: 900px;
        margin: auto;
        padding: 20px;
    }
    .coluna-esquerda-footer img {  
        width: 250px; 
        border-radius: 10px;
    }
    .coluna-direita {
        flex: 1;
    }
    .texto-footer {
        text-align: left;
        
    }

/* ===============================
    Canvas / BG
=================================*/
    #canvas-bg {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1; 
        pointer-events: none; 
    }

/* ===============================
    Responsividade
=================================*/ 
    /*fazer*/
    @media (max-width: 768px){
        #banner {
            height: 200px;
            background-size: cover;
            
        }
        .container-footer {
            flex-direction: column;
            text-align: center;            
        }
        .coluna-esquerda-footer img {
            width: 100%;
        }
        .texto-footer {
            text-align: center
        }
        .overlay.show{
            display: block;
            width: calc(100% - 240px);
        }
        nav {
            position: fixed;
            right: 0;
            transform: translateX(100%);
            top: 0;
            height: 100%;
            width: 200px;
            background-color: #111;
            flex-direction: column;
            padding: 20px;
            gap: 15px;
            transition: right 0.3s ease;
            z-index: 1100;
        }
        nav.open { transform: translateX(0); }
        .menu-btn { display: flex; }
        header { justify-content: space-between; }
    } 